Entur Developer
Orders

Travellers

Server

Services related to travellers on order.


deprecated

Add Traveller to Order

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/travellers

Deprecated. Please use POST /v1/orders/{orderId}/travellers/bulk.

Add Traveller to Order › path Parameters

orderId
​string · required · style: simple

Order ID

Add Traveller to Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Add Traveller to Order › Request Body

A Traveller object which might hold a reference to a Customer

Customer reference.

Add Traveller to Order › Responses

OK

A Traveller object which might hold a reference to a Customer
id
​string · uuid · required

Customer reference.


Add list of Traveller to Order

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/travellers/bulk

This endpoint adds a list of Traveller to the specified Order, and returns the List that was added. If the Order does not exist, it will throw an exception.

Add list of Traveller to Order › path Parameters

orderId
​string · required · style: simple

Order ID

Add list of Traveller to Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Add list of Traveller to Order › Request Body

A Traveller object which might hold a reference to a Customer

Customer reference.

Add list of Traveller to Order › Responses

OK

A Traveller object which might hold a reference to a Customer
id
​string · uuid · required

Customer reference.


Remove list of travellers from Order

DELETE
https://api.staging.entur.io/sales
/v1/orders/{orderId}/travellers/bulk

This endpoint removes the list of travellerIds from the specified Order.

Remove list of travellers from Order › path Parameters

orderId
​string · required · style: simple

Order ID

Remove list of travellers from Order › query Parameters

travellerIds
​string[] · style: form

List of traveller IDs to remove from order

Remove list of travellers from Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Remove list of travellers from Order › Responses

No Content

No data returned

Update Traveller

PUT
https://api.staging.entur.io/sales
/v1/orders/{orderId}/travellers/{travellerId}

This endpoint updates a Traveller for the specified Order, and returns the Traveller that was updated. If either the Order or the Traveller does not exist, it will throw an exception.

Update Traveller › path Parameters

orderId
​string · required · style: simple

Order ID

travellerId
​string · uuid · required · style: simple

Traveller ID associated with Order

Update Traveller › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update Traveller › Request Body

A Traveller object which might hold a reference to a Customer

Customer reference.

Update Traveller › Responses

OK

A Traveller object which might hold a reference to a Customer
id
​string · uuid · required

Customer reference.


deprecated

Remove Traveller from Order

DELETE
https://api.staging.entur.io/sales
/v1/orders/{orderId}/travellers/{travellerId}

Deprecated. Please use DELETE /v1/orders/{orderId}/travellers/bulk

Remove Traveller from Order › path Parameters

orderId
​string · required · style: simple

Order ID

travellerId
​string · uuid · required · style: simple

Traveller ID associated with Order

Remove Traveller from Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Remove Traveller from Order › Responses

OK

No data returned

Did you find what you were looking for?